petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGMRESSetCGSRefinementType

Sets the type of iterative refinement to use in the classical Gram Schmidt orthogonalization.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetCGSRefinementType(KSP ksp,KSPGMRESCGSRefinementType type)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| type | - the type of refinement Many br

### Options Database

-ksp_gmres_cgs_refinement_type <never,ifneeded,always> - Many br Many br

### Keywords

KSP, GMRES, iterative refinement

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESGetCGSRefinementType(),
KSPGMRESGetOrthogonalization() Many br

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages